{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":460,"path":"api-reference/rest-apis/alarm-open-api.md","title":"Alarm Management Open API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Alarm Management Open API\n\nThe Alarm Management Open API provides endpoints to create, update, and retrieve data from the Events \\[em\\_event\\] and Alert \\[em\\_alert\\] tables.\n\nThe telecommunications Alarm Management Open API \\(sn\\_ind\\_tmf642\\) is a ServiceNow® implementation of the TM Forum Open API specification. This API is based on the [TMF642 Alarm Management API User Guide v5.0.0](https://www.tmforum.org/resources/specifications/tmf642-alarm-management-api-user-guide-v5-0-0/), September 2023.\n\nThe calling user must have to access the `sn_ind_tmf642.alarm_mgmt_integration` endpoint.\n\nThis API is provided within the `sn_ind_tmf642` namespace.\n\nThe TM Forum Open API specification requires a synchronous response for every inbound request it receives. Apply correlation and de-duplication in the source operational support system \\(OSS\\) before forwarding payloads to the system.\n\nThis API can be extended to make customizations around required parameters, request body validation, additional REST operations, and field mappings. For more information, see the [Alarm Management Open API Developer Guide](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/alarm-mgmt_dev-guide.md).\n\nThe Alarm Management Open API is conformance certified by TM Forum.\n\n\\[Omitted image \"tmf-conformance.png\"\\] Alt text: TMF conformance logo\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Alarm Management Open API – GET /sn\\_ind\\_tmf642/alarm\\_mgmt/alarm\n\nRetrieves a list of all alarm records from the Events \\[em\\_event\\] and Alert \\[em\\_alert\\] tables.\n\n### URL format\n\nDefault URL: `/api/sn_ind_tmf642/alarm_mgmt/alarm`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"table_qcn_fkm_qtb\" class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nalarmRaisedTime\n\n</td><td>\n\nDate the alarm was raised. Only alarms with a date matching the value of this parameter are returned in the response.Data type: String\n\n</td></tr><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Valid fields:\n\n-   alarmedObject\n-   alarmRaisedTime\n-   alarmType\n-   crossedThresholdInformation\n-   externalAlarmId\n-   id\n-   perceivedSeverity\n-   probableCause\n-   source\n-   sourceSystemId\n-   state\n-   type\n\nDefault: All fields\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nAlarm ID. Only alarms with an ID matching the value of this parameter are returned in the response.Data type: String\n\nTable: In the Message key field in the Events \\[em\\_event\\] table.\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **offset** parameter to paginate record retrieval. Default: 1000\n\nMaximum: 2000\n\nData type: Number\n\n</td></tr><tr><td>\n\noffset\n\n</td><td>\n\nStarting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nprobableCause\n\n</td><td>\n\nProbable cause of the alarm. Only alarms with a probable cause matching the value of this parameter are returned in the response.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nAlarm state. Only alarms with a state matching the value of this parameter are returned in the response.Data type: String\n\n</td></tr><tr><td>\n\nsourceSystemId\n\n</td><td>\n\nSource system ID of the alarm. Only alarms with a source system ID matching the value of this parameter are returned in the response.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n<table id=\"table_c2r_4gm_lsb\" class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"content-range-row\"><td>\n\nContent-Range\n\n</td><td>\n\nRange of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the **Content-Range** header is `items 3-5`.\n\n</td></tr><tr id=\"content-type-row\"><td>\n\nContent-Type\n\n</td><td>\n\nData format of the response body. Only supports **application/json**.\n\n</td></tr><tr id=\"links-pagination-row\"><td>\n\nLink\n\n</td><td>\n\nContains the following links to navigate through query results.-   first\n-   last\n-   next\n-   previous\n\n</td></tr><tr id=\"x-total-count-row\"><td id=\"x-total-count\">\n\nX-Total-Count\n\n</td><td>\n\nFor paginated queries, this header specifies the total number of records available on the server.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_qbg_4cm_lsb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"tmf-get-status-200-entry\">\n\nRequest successfully processed. Full resource returned in response \\(no pagination\\).\n\n</td></tr><tr><td>\n\n206\n\n</td><td id=\"tmf-get-status-206-entry\">\n\nPartial resource returned in response \\(with pagination\\).\n\n</td></tr><tr><td>\n\n400\n\n</td><td id=\"tmf-get-status-400-entry\">\n\nBad request. Possible reasons:\n\n-   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"tmf-get-status-404-entry\">\n\nRecord not found. No records matching the query parameters are found in the table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"table_zjc_fbg_qtb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naffectedService\n\n</td><td id=\"alm-mgmt-affectedService-entry\">\n\nList of one or more services affected by the alarm.Data type: Array of Objects\n\n```\n\"affectedService\":[\n  {\n    \"href\": \"String\",\n    \"id\": \"String\"\n  },\n]\n```\n\n</td></tr><tr><td>\n\naffectedService.href\n\n</td><td id=\"alm-mgmt-affectedServiceHREF-entry\">\n\nURL reference that provides details of the affected service.Data type: String\n\n</td></tr><tr><td>\n\naffectedService.id\n\n</td><td>\n\nIdentifier of the service affected by the alarm. This value maps to the affected configuration item \\(CI\\) on the alert. Data type: String\n\n</td></tr><tr><td>\n\nalarmDetails\n\n</td><td>\n\nAdditional details about the alarm.Data type: String\n\n</td></tr><tr><td>\n\nalarmedObject\n\n</td><td>\n\nDetails of the alarm object. ```\n\"alarmedObject\":\n{\n  \"href\": \"String\",\n  \"id\": \"String\"\n}\n```\n\n Data type: Object\n\n</td></tr><tr><td>\n\nalarmedObject.id\n\n</td><td>\n\nUnique identifier of the alarm object. This value maps to a CI in the system. Data type: String\n\n</td></tr><tr><td>\n\nalarmedObject.href\n\n</td><td id=\"alm-mgmt-create-alarmobj-href-entry\">\n\nURL reference to get the details of the alarm object.\n\nData type: String\n\n</td></tr><tr><td>\n\nalarmedObjectType\n\n</td><td>\n\nType or class of object associated with the event.Data type: String\n\n</td></tr><tr><td>\n\nalarmRaisedTime\n\n</td><td>\n\nDate and time at which the alarm occurs at its source.Data type: String\n\n</td></tr><tr><td>\n\nalarmReportingTime\n\n</td><td>\n\nDate and time at which the OSS reports its alarm.This value might differ from the **alarmRaisedTime** value. For example, if an element management system \\(EMS\\) maintains the alarm list:\n\n-   The **alarmRaisedTime** is the time of alarm detection by the network element \\(NE\\).\n-   The **alarmReportingTime** is the alarm report time of storage in the EMS alarm list.\n\nData type: String\n\n</td></tr><tr><td>\n\nalarmType\n\n</td><td>\n\nAlarm category. Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation\n\n</td><td>\n\nDetails about the crossed threshold.Data type: Object\n\n```\n\"crossedThresholdInformation\":\n{\n  \"direction\": \"String\",\n  \"granularity\": \"String\",\n  \"indicatorName\": \"String\",\n  \"indicatorUnit\": \"String\",\n  \"observedValue\": \"String\",\n  \"thresholdCrossingDescription\": \"String\",\n  \"thresholdId\": \"String\",\n  \"thresholdRef\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.direction\n\n</td><td>\n\nThreshold crossing direction.Valid values:\n\n-   DOWN\n-   UP\n\nData type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.granularity\n\n</td><td>\n\nGranularity at which the indicator is evaluated for threshold crossing. For example, `5MINUTES`.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.indicatorName\n\n</td><td>\n\nName of the indicator that crosses the alarm threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.indicatorUnit\n\n</td><td>\n\nMeasurement unit of the indicator corresponding to the crossed threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.observedValue\n\n</td><td>\n\nNumber identifying the indicator crossing the threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdCrossingDescription\n\n</td><td>\n\nMore threshold details of the threshold crossing alarm.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdId\n\n</td><td>\n\nUnique identifier of the threshold that caused the alarm. Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdRef\n\n</td><td>\n\nURL of the threshold object.Data type: String\n\n</td></tr><tr><td>\n\nexternalAlarmId\n\n</td><td>\n\nUnique identifier for the alarm from the source system posting the alarm. Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nURL of the resource.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nUnique identifier for the system to identify and process the alarm payload as an event. Data type: String\n\n</td></tr><tr><td>\n\nperceivedSeverity\n\n</td><td>\n\nAlarm severity. Valid values:\n\n-   CLEAR\n-   CRITICAL\n-   MAJOR\n-   MINOR\n-   WARNING\n\n Data type: String\n\n</td></tr><tr><td>\n\nplannedOutageIndication\n\n</td><td>\n\nIndicates that the managed object for this alarm is in a planned outage state. For example, planned maintenance or out-of-service.Data type: String\n\n</td></tr><tr><td>\n\nprobableCause\n\n</td><td>\n\nMost likely situation to trigger the alarm. Use with **alarmType** to qualify the alarm. Data type: String\n\n</td></tr><tr><td>\n\nproposedRepairActions\n\n</td><td>\n\nIf available to the system, provides a repair action to resolve the issue that triggers the alarm.Data type: String\n\n</td></tr><tr><td>\n\nserviceAffecting\n\n</td><td>\n\nFlag that indicates whether the alarm affects service.Valid values:\n\n-   true: Alarm affects service performance or availability.\n-   false: Alarm doesn't affect service.\n\nDefault: false\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nsourceSystemId\n\n</td><td>\n\nInstance ID of the source alarm. Data type: String\n\n</td></tr><tr><td>\n\nspecificProblem\n\n</td><td id=\"alm-mgmt-specificProb-entry\">\n\nSpecific problem that triggers the alarm. Use with the **probableCause** tparameter o qualify the alarm.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nAlarm state.Valid values:\n\n-   Error\n-   Ignored\n-   Ready\n-   Processed\n\nIf an invalid value is provided, the state is set to `Ready`.\n\nIf the state is `Ready`, an alert is created in the Alert \\[em\\_alert\\] table and the state then becomes `Processed`.\n\nIf the state is `Processed`, `Ignored`, or `Error` no alert is created.\n\nDefault value: Ready\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example retrieves all alarms.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_ind_tmf642/alarm_mgmt/alarm\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n[\n   {\n      \"externalAlarmId\": \"2212331\",\n      \"alarmType\": \"QualityOfServiceAlarm23\",\n      \"perceivedSeverity\": \"MAJOR\",\n      \"probableCause\": \"ProbB\",\n      \"sourceSystemId\": \"checkSB\",\n      \"alarmedObject\": {\n         \"id\": \"vManage_000000\",\n         \"href\": \" http://api/alarmedobject/000000\"\n      },\n      \"crossedThresholdInformation\": {\n         \"direction\": \"111\",\n         \"granularity\": \"1234\",\n         \"indicatorName\": \"sdfgds\",\n         \"indicatorUnit\": \"asdfdsaf\",\n         \"observedValue\": \"adsfds\",\n         \"thresholdId\": \"12fasdfasdfasd\",\n         \"thresholdCrossingDescription\": \"S23rtring\",\n         \"thresholdRef\": \"asdfasf\"\n      },\n      \"type\": \"QualityOfServiceAlarm\",\n      \"ackState\": \"acknowledged\",\n      \"specificProblem\": \"Inbound Traffic threshold crossed\",\n      \"alarmedObjectType\": \"ROUTER\",\n      \"alarmDetails\": \"Software Failure on SD-WAN Controller vManage_000000\",\n      \"state\": \"processed\",\n      \"alarmChangedTime\": \"2017-08-15T07:04:15.666Z\",\n      \"proposedRepairActions\": \"Switch in standby equipment\",\n      \"alarmReportingTime\": \"2017-06-15T07:04:15.666Z\",\n      \"alarmRaisedTime\": \"2020-09-15T14:04:15.000Z\",\n      \"plannedOutageIndication\": \"IN_SERVICE\",\n      \"serviceAffecting\": true,\n      \"affectedService\": [\n         {\n            \"id\": \"SD WAN Enterprise Solutions\",\n            \"href\": \"http://api/service/vlan_dot0_dot0\"\n         },\n         {\n            \"id\": \"Santa Clara SD WAN Application Service\",\n            \"href\": \"http://api/service/vlan_dot0_dot0\"\n         }\n      ],\n      \"source\": \"Alarm Management Open API\",\n      \"href\": \"/api/sn_ind_tmf642/alarm_mgmt/alarm/001a0ca629078d10f87759e2f69e4c64_2212331\",\n      \"id\": \"001a0ca629078d10f87759e2f69e4c64_2212331\"\n   },\n   {\n      \"externalAlarmId\": \"2212331\",\n      \"alarmType\": \"QualityOfServiceAlarm23\",\n      \"perceivedSeverity\": \"MAJOR\",\n      \"probableCause\": \"ProbB\",\n      \"sourceSystemId\": \"checkSB\",\n      \"alarmedObject\": {\n         \"id\": \"vManage_000000\",\n         \"href\": \" http://api/alarmedobject/000000\"\n      },\n      \"crossedThresholdInformation\": {\n         \"direction\": \"111\",\n         \"granularity\": \"1234\",\n         \"indicatorName\": \"sdfgds\",\n         \"indicatorUnit\": \"asdfdsaf\",\n         \"observedValue\": \"adsfds\",\n         \"thresholdId\": \"12fasdfasdfasd\",\n         \"thresholdCrossingDescription\": \"S23rtring\",\n         \"thresholdRef\": \"asdfasf\"\n      },\n      \"type\": \"QualityOfServiceAlarm\",\n      \"ackState\": \"acknowledged\",\n      \"specificProblem\": \"Inbound Traffic threshold crossed\",\n      \"alarmedObjectType\": \"ROUTER\",\n      \"alarmDetails\": \"Software Failure on SD-WAN Controller vManage_000000\",\n      \"state\": \"processed\",\n      \"alarmChangedTime\": \"2017-08-15T07:04:15.666Z\",\n      \"proposedRepairActions\": \"Switch in standby equipment\",\n      \"alarmReportingTime\": \"2017-06-15T07:04:15.666Z\",\n      \"alarmRaisedTime\": \"2020-09-15T14:04:15.000Z\",\n      \"plannedOutageIndication\": \"IN_SERVICE\",\n      \"serviceAffecting\": true,\n      \"affectedService\": [\n         {\n            \"id\": \"SD WAN Enterprise Solutions\",\n            \"href\": \"http://api/service/vlan_dot0_dot0\"\n         },\n         {\n            \"id\": \"Santa Clara SD WAN Application Service\",\n            \"href\": \"http://api/service/vlan_dot0_dot0\"\n         }\n      ],\n      \"source\": \"Alarm Management Open API\",\n      \"href\": \"/api/sn_ind_tmf642/alarm_mgmt/alarm/001c84aa29078d10f87759e2f69e4cfa_2212331\",\n      \"id\": \"001c84aa29078d10f87759e2f69e4cfa_2212331\"\n   }\n]\n```\n\n## Alarm Management Open API – GET /sn\\_ind\\_tmf642/alarm\\_mgmt/alarm/\\{id\\}\n\nRetrieves a specified alarm record from the Events \\[em\\_event\\] or Alert \\[em\\_alert\\] table.\n\n### URL format\n\nDefault URL: `/api/sn_ind_tmf642/alarm_mgmt/alarm/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nUnique identifier of the record to retrieve.Data type: String\n\nTable: In the Message key field of the Events \\[em\\_event\\] table.\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Valid fields:\n\n-   alarmedObject\n-   alarmRaisedTime\n-   alarmType\n-   crossedThresholdInformation\n-   externalAlarmId\n-   id\n-   perceivedSeverity\n-   probableCause\n-   source\n-   sourceSystemId\n-   state\n-   type\n\nDefault value: All fields\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad Request. A bad request type or malformed request was detected for one or more of the following reasons.-   Invalid path parameter.\n-   Invalid URI.\n\n</td></tr><tr><td>\n\n404\n\n</td><td>\n\nRecord not found. A record associated with the specified ID is not found in the Event \\[em\\_event\\] or Alert \\[em\\_alert\\] table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"table_gtd_dbg_qtb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naffectedService\n\n</td><td id=\"alm-mgmt-affectedService-entry\">\n\nList of one or more services affected by the alarm.Data type: Array of Objects\n\n```\n\"affectedService\":[\n  {\n    \"href\": \"String\",\n    \"id\": \"String\"\n  },\n]\n```\n\n</td></tr><tr><td>\n\naffectedService.href\n\n</td><td id=\"alm-mgmt-affectedServiceHREF-entry\">\n\nURL reference that provides details of the affected service.Data type: String\n\n</td></tr><tr><td>\n\naffectedService.id\n\n</td><td>\n\nIdentifier of the service affected by the alarm. This value maps to the affected configuration item \\(CI\\) on the alert. Data type: String\n\n</td></tr><tr><td>\n\nalarmDetails\n\n</td><td>\n\nAdditional details about the alarm.Data type: String\n\n</td></tr><tr><td>\n\nalarmedObject\n\n</td><td>\n\nDetails of the alarm object. Data type: Object\n\n```\n\"alarmedObject\":\n{\n  \"href\": \"String\",\n  \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nalarmedObject.id\n\n</td><td>\n\nUnique identifier of the alarm object. This value maps to a CI in the system. Data type: String\n\n</td></tr><tr><td>\n\nalarmedObject.href\n\n</td><td id=\"alm-mgmt-create-alarmobj-href-entry\">\n\nURL reference to get the details of the alarm object.\n\nData type: String\n\n</td></tr><tr><td>\n\nalarmedObjectType\n\n</td><td>\n\nType or class of object associated with the event.Data type: String\n\n</td></tr><tr><td>\n\nalarmRaisedTime\n\n</td><td>\n\nDate and time at which the alarm occurs at its source.Data type: String\n\n</td></tr><tr><td>\n\nalarmReportingTime\n\n</td><td>\n\nDate and time at which the OSS reports its alarm.This value might differ from the **alarmRaisedTime** value. For example, if an element management system \\(EMS\\) maintains the alarm list:\n\n-   The **alarmRaisedTime** is the time of alarm detection by the network element \\(NE\\).\n-   The **alarmReportingTime** is the alarm report time of storage in the EMS alarm list.\n\nData type: String\n\n</td></tr><tr><td>\n\nalarmType\n\n</td><td>\n\nAlarm category. Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation\n\n</td><td>\n\nDetails about the crossed threshold.Data type: Object\n\n```\n\"crossedThresholdInformation\":\n{\n  \"direction\": \"String\",\n  \"granularity\": \"String\",\n  \"indicatorName\": \"String\",\n  \"indicatorUnit\": \"String\",\n  \"observedValue\": \"String\",\n  \"thresholdCrossingDescription\": \"String\",\n  \"thresholdId\": \"String\",\n  \"thresholdRef\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.direction\n\n</td><td>\n\nThreshold crossing direction.Valid values:\n\n-   DOWN\n-   UP\n\nData type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.granularity\n\n</td><td>\n\nGranularity at which the indicator is evaluated for threshold crossing. For example, `5MINUTES`.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.indicatorName\n\n</td><td>\n\nName of the indicator that crosses the alarm threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.indicatorUnit\n\n</td><td>\n\nMeasurement unit of the indicator corresponding to the crossed threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.observedValue\n\n</td><td>\n\nNumber identifying the indicator crossing the threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdCrossingDescription\n\n</td><td>\n\nMore threshold details of the threshold crossing alarm.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdId\n\n</td><td>\n\nUnique identifier of the threshold that caused the alarm. Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdRef\n\n</td><td>\n\nURL of the threshold object.Data type: String\n\n</td></tr><tr><td>\n\nexternalAlarmId\n\n</td><td>\n\nUnique identifier for the alarm from the source system posting the alarm. Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nURL of the resource.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nUnique identifier for the system to identify and process the alarm payload as an event. Data type: String\n\n</td></tr><tr><td>\n\nperceivedSeverity\n\n</td><td>\n\nAlarm severity. Valid values:\n\n-   CLEAR\n-   CRITICAL\n-   MAJOR\n-   MINOR\n-   WARNING\n\n Data type: String\n\n</td></tr><tr><td>\n\nplannedOutageIndication\n\n</td><td>\n\nIndicates that the managed object for this alarm is in a planned outage state. For example, planned maintenance or out-of-service.Data type: String\n\n</td></tr><tr><td>\n\nprobableCause\n\n</td><td>\n\nMost likely situation to trigger the alarm. Use with **alarmType** to qualify the alarm. Data type: String\n\n</td></tr><tr><td>\n\nproposedRepairActions\n\n</td><td>\n\nIf available to the system, provides a repair action to resolve the issue that triggers the alarm.Data type: String\n\n</td></tr><tr><td>\n\nserviceAffecting\n\n</td><td>\n\nFlag that indicates whether the alarm affects service.Valid values:\n\n-   true: Alarm affects service performance or availability.\n-   false: Alarm doesn't affect service.\n\nDefault: false\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nsourceSystemId\n\n</td><td>\n\nInstance ID of the source alarm. Data type: String\n\n</td></tr><tr><td>\n\nspecificProblem\n\n</td><td id=\"alm-mgmt-specificProb-entry\">\n\nSpecific problem that triggers the alarm. Use with the **probableCause** tparameter o qualify the alarm.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nAlarm state.Valid values:\n\n-   Error\n-   Ignored\n-   Ready\n-   Processed\n\nIf an invalid value is provided, the state is set to `Ready`.\n\nIf the state is `Ready`, an alert is created in the Alert \\[em\\_alert\\] table and the state then becomes `Processed`.\n\nIf the state is `Processed`, `Ignored`, or `Error` no alert is created.\n\nDefault value: Ready\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example retrieves an alarm.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_ind_tmf642/alarm_mgmt/alarm/001a0ca629078d10f87759e2f69e4c64_2212331\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n\n\n```\n\nResponse body.\n\n```\n{\n   \"externalAlarmId\": \"2212331\",\n   \"alarmType\": \"QualityOfServiceAlarm23\",\n   \"perceivedSeverity\": \"MAJOR\",\n   \"probableCause\": \"ProbB\",\n   \"sourceSystemId\": \"checkSB\",\n   \"alarmedObject\": {\n      \"id\": \"vManage_000000\",\n      \"href\": \" http://api/alarmedobject/000000\"\n   },\n   \"crossedThresholdInformation\": {\n      \"direction\": \"111\",\n      \"granularity\": \"1234\",\n      \"indicatorName\": \"ind_name\",\n      \"indicatorUnit\": \"ind_unit\",\n      \"observedValue\": \"232\",\n      \"thresholdId\": \"200\",\n      \"thresholdCrossingDescription\": \"sample_description\",\n      \"thresholdRef\": \"sample_ref\"\n   },\n   \"type\": \"QualityOfServiceAlarm\",\n   \"ackState\": \"acknowledged\",\n   \"specificProblem\": \"Inbound Traffic threshold crossed\",\n   \"alarmedObjectType\": \"ROUTER\",\n   \"alarmDetails\": \"Software Failure on SD-WAN Controller vManage_000000\",\n   \"state\": \"processed\",\n   \"alarmChangedTime\": \"2017-08-15T07:04:15.666Z\",\n   \"proposedRepairActions\": \"Switch in standby equipment\",\n   \"alarmReportingTime\": \"2017-06-15T07:04:15.666Z\",\n   \"alarmRaisedTime\": \"2020-09-15T14:04:15.000Z\",\n   \"plannedOutageIndication\": \"IN_SERVICE\",\n   \"serviceAffecting\": true,\n   \"affectedService\": [\n      {\n         \"id\": \"SD WAN Enterprise Solutions\",\n         \"href\": \"http://api/service/vlan_dot0_dot0\"\n      },\n      {\n         \"id\": \"Santa Clara SD WAN Application Service\",\n         \"href\": \"http://api/service/vlan_dot0_dot0\"\n      }\n   ],\n   \"source\": \"Alarm Management Open API\",\n   \"href\": \"/api/sn_ind_tmf642/alarm_mgmt/alarm/001a0ca629078d10f87759e2f69e4c64_2212331\",\n   \"id\": \"001a0ca629078d10f87759e2f69e4c64_2212331\"\n}\n```\n\n## Alarm Management Open API – PATCH /sn\\_ind\\_tmf642/alarm\\_mgmt/alarm/\\{id\\}\n\nUpdates a specified alarm and any associated alert.\n\nThis endpoint writes the response body to the **Additional Info** field of the event record in the Events \\[em\\_event\\] table.\n\n### URL format\n\nDefault URL: `/api/sn_ind_tmf642/alarm_mgmt/alarm/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nUnique identifier of the record to update.Data type: String\n\nTable: In the Message key field of the Events \\[em\\_event\\] table.\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"table_kmr_mjs_xnb\" class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naffectedService\n\n</td><td id=\"alm-mgmt-affectedService-entry\">\n\nList of one or more services affected by the alarm.Data type: Array of Objects\n\n```\n\"affectedService\":[\n  {\n    \"href\": \"String\",\n    \"id\": \"String\"\n  },\n]\n```\n\n</td></tr><tr><td>\n\naffectedService.href\n\n</td><td id=\"alm-mgmt-affectedServiceHREF-entry\">\n\nURL reference that provides details of the affected service.Data type: String\n\n</td></tr><tr><td>\n\naffectedService.id\n\n</td><td>\n\nRequired. Identifier of the service affected by the alarm. This value maps to the affected configuration item \\(CI\\) on the alert.\n\nData type: String\n\n</td></tr><tr><td>\n\nalarmChangedTime\n\n</td><td>\n\nIndicates the last date and time the alarm changed on the alarm-owning system. Any change to the alarm updates this value whether coming from the alarmed resource or triggered by a change from the client.Data type: String\n\n</td></tr><tr><td>\n\nalarmDetails\n\n</td><td>\n\nAdditional details about the alarm.Data type: String\n\n</td></tr><tr><td>\n\nalarmEscalation\n\n</td><td>\n\nFlag that indicates an escalation in alarm severity.\n\n Valid values:\n\n-   true: There is an escalation in alarm severity.\n-   false: The alarm severity is the same or lower.\n\n Default: false\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation\n\n</td><td>\n\nDetails about the crossed threshold.Data type: Object\n\n```\n\"crossedThresholdInformation\":\n{\n  \"direction\": \"String\",\n  \"granularity\": \"String\",\n  \"indicatorName\": \"String\",\n  \"indicatorUnit\": \"String\",\n  \"observedValue\": \"String\",\n  \"thresholdCrossingDescription\": \"String\",\n  \"thresholdId\": \"String\",\n  \"thresholdRef\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.direction\n\n</td><td>\n\nThreshold crossing direction.Valid values:\n\n-   DOWN\n-   UP\n\nData type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.granularity\n\n</td><td>\n\nGranularity at which the indicator is evaluated for threshold crossing. For example, `5MINUTES`.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.indicatorName\n\n</td><td>\n\nName of the indicator that crosses the alarm threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.indicatorUnit\n\n</td><td>\n\nMeasurement unit of the indicator corresponding to the crossed threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.observedValue\n\n</td><td>\n\nNumber identifying the indicator crossing the threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdCrossingDescription\n\n</td><td>\n\nMore threshold details of the threshold crossing alarm.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdId\n\n</td><td>\n\nRequired.Unique identifier of the threshold that caused the alarm.\n\nData type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdRef\n\n</td><td>\n\nURL of the threshold object.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nURL reference to the alarm.Data type: String\n\n</td></tr><tr><td>\n\nperceivedSeverity\n\n</td><td>\n\nRequired. Alarm severity. Valid values:\n\n-   CLEAR\n-   CRITICAL\n-   MAJOR\n-   MINOR\n-   WARNING\n\nData type: String\n\n</td></tr><tr><td>\n\nplannedOutageIndication\n\n</td><td>\n\nIndicates that the managed object for this alarm is in a planned outage state. For example, planned maintenance or out-of-service.Data type: String\n\n</td></tr><tr><td>\n\nprobableCause\n\n</td><td>\n\nRequired. Most likely situation to trigger the alarm. Use with **alarmType** to qualify the alarm.\n\nData type: String\n\n</td></tr><tr><td>\n\nproposedRepairActions\n\n</td><td>\n\nIf available to the system, provides a repair action to resolve the issue that triggers the alarm.Data type: String\n\n</td></tr><tr><td>\n\nserviceAffecting\n\n</td><td>\n\nFlag that indicates whether the alarm affects service.Valid values:\n\n-   true: Alarm affects service performance or availability.\n-   false: Alarm doesn't affect service.\n\nDefault: false\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nspecificProblem\n\n</td><td id=\"alm-mgmt-specificProb-entry\">\n\nSpecific problem that triggers the alarm. Use with the **probableCause** tparameter o qualify the alarm.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_ifj_lyb_ynb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n201\n\n</td><td>\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad request.Possible reasons:\n\n-   Invalid payload. Missing required alarm ID.\n-   Invalid payload. Required field missing:&lt;field name&gt;.\n-   Invalid payload. Missing required object.\n-   Event not created, failed.\n-   Unable to clear event.\n-   Unable to update event.\n-   The event doesn’t exist.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nalarmChangedTime\n\n</td><td>\n\nDate and time the alarm changed in GMT on the alarm-owning system. This value updates when changes to the alarm from the alarmed resource occur or a change from a client update triggers the alarm. This value is required in the response.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nURL reference to the alarm.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nUnique identifier of the alarm. Value determined by the system owning the alarm.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nIn this example, the severity is reduced to MINOR.\n\n```\ncurl \"https://<instance>.service-now.com/api/sn_ind_tmf642/alarm_mgmt/alarm/6e116bb8db09201087b9a8394b961950_<external-alarm-id>\" \\\n--request PATCH \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n     \\\"href\\\":\\\"http://api/alarm/ROUTER_IF@Cisco-0000-0-0-0-0-00-00-0-- Xz0/00@00\\\",\n     \\\"externalAlarmId\\\":\\\"<external-alarm-id>\\\",\n     \\\"alarmType\\\":\\\"QualityOfServiceAlarm\\\",\n     \\\"type\\\":\\\"QualityOfServiceAlarm\\\",\n     \\\"ackState\\\":\\\"acknowledged\\\",\n     \\\"perceivedSeverity\\\":\\\"MINOR\\\",\n     \\\"probableCause\\\":\\\"Threshold crossed\\\",\n     \\\"specificProblem\\\":\\\"Inbound Traffic threshold crossed\\\",\n     \\\"alarmedObjectType\\\":\\\"ROUTER\\\",\n     \\\"alarmedObject\\\":{\n        \\\"id\\\":\\\"vManage_000000\\\",\n        \\\"href\\\":\\\" http://api/alarmedobject/000000\\\"\n     },\n     \\\"sourceSystemId\\\":\\\"SOURCE_SYSTEM_vManage_00000_000_00\\\",\n     \\\"alarmDetails\\\":\\\"Software Failure on SD-WAN Controller vManage_000000\\\",\n     \\\"alarmEscalation\\\": false,\n     \\\"state\\\":\\\"RAISED\\\",\n     \\\"alarmChangedTime\\\":\\\"2017-08-15T07:04:15.666Z\\\",\n     \\\"proposedRepairActions\\\":\\\"Switch in standby equipment\\\",\n     \\\"alarmReportingTime\\\":\\\"2017-06-15T07:04:15.666Z\\\",\n     \\\"alarmRaisedTime\\\":\\\"2020-09-15T07:04:15.666Z\\\",\n     \\\"plannedOutageIndication\\\":\\\"IN_SERVICE\\\",\n     \\\"serviceAffecting\\\":true,\n     \\\"affectedService\\\":[\n        {\n           \\\"id\\\":\\\"SD WAN Enterprise Solutions\\\",\n           \\\"href\\\":\\\"http://api/service/vlan_dot0_dot0\\\"\n        },\n        {\n           \\\"id\\\":\\\"Santa Clara SD WAN Application Service\\\",\n           \\\"href\\\":\\\"http://api/service/vlan_dot0_dot0\\\"\n        }\n     ] \n }\" \\\n--user 'user:'password'\n```\n\nResponse body.\n\n```\n{\n  \"result\": {\n    \"alarmChangedTime\": \"2017-08-15T07:04:15.666Z\",\n    \"id\": \"6e116bb8db09201087b9a8394b961950_<external-alarm-id>\"\n  }\n}\n```\n\n## Alarm Management Open API – POST /sn\\_ind\\_tmf642/alarm\\_mgmt/alarm\n\nCreates an alarm record in the Events \\[em\\_event\\] table.\n\nWhen the alarm record is created, an ID for the alarm is added in the **Message key** field.\n\nAn alert record might also be created based on [Alert management rules](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/it-operations-management/alert-management-rule.md).\n\nThis endpoint writes the response body to the **Additional Info** field of the event record in the Events \\[em\\_event\\] table.\n\n### URL format\n\nDefault URL: `/api/sn_ind_tmf642/alarm_mgmt/alarm`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naffectedService\n\n</td><td id=\"alm-mgmt-affectedService-entry\">\n\nList of one or more services affected by the alarm.Data type: Array of Objects\n\n```\n\"affectedService\":[\n  {\n    \"href\": \"String\",\n    \"id\": \"String\"\n  },\n]\n```\n\n</td></tr><tr><td>\n\naffectedService.href\n\n</td><td id=\"alm-mgmt-affectedServiceHREF-entry\">\n\nURL reference that provides details of the affected service.Data type: String\n\n</td></tr><tr><td>\n\naffectedService.id\n\n</td><td>\n\nRequired. Identifier of the service affected by the alarm. This value maps to the affected configuration item \\(CI\\) on the alert.\n\nData type: String\n\n</td></tr><tr><td>\n\nalarmDetails\n\n</td><td>\n\nAdditional details about the alarm.Data type: String\n\n</td></tr><tr><td>\n\nalarmedObject\n\n</td><td>\n\nRequired. Details of the alarm object. ```\n\"alarmedObject\":\n{\n  \"href\": \"String\",\n  \"id\": \"String\"\n}\n```\n\n Data type: Object\n\n</td></tr><tr><td>\n\nalarmedObject.id\n\n</td><td>\n\nRequired. Unique identifier of the alarm object. This value maps to a CI in the system. Data type: String\n\n</td></tr><tr><td>\n\nalarmedObject.href\n\n</td><td id=\"alm-mgmt-create-alarmobj-href-entry\">\n\nURL reference to get the details of the alarm object.\n\nData type: String\n\n</td></tr><tr><td>\n\nalarmedObjectType\n\n</td><td>\n\nType or class of object associated with the event.Data type: String\n\n</td></tr><tr><td>\n\nalarmRaisedTime\n\n</td><td>\n\nDate and time at which the alarm occurs at its source.Data type: String\n\n</td></tr><tr><td>\n\nalarmReportingTime\n\n</td><td>\n\nDate and time at which the OSS reports its alarm.This value might differ from the **alarmRaisedTime** value. For example, if an element management system \\(EMS\\) maintains the alarm list:\n\n-   The **alarmRaisedTime** is the time of alarm detection by the network element \\(NE\\).\n-   The **alarmReportingTime** is the alarm report time of storage in the EMS alarm list.\n\nData type: String\n\n</td></tr><tr id=\"alm-mgmt-create-alarmtype\"><td>\n\nalarmType\n\n</td><td>\n\nRequired. Alarm category. Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation\n\n</td><td>\n\nDetails about the crossed threshold.Data type: Object\n\n```\n\"crossedThresholdInformation\":\n{\n  \"direction\": \"String\",\n  \"granularity\": \"String\",\n  \"indicatorName\": \"String\",\n  \"indicatorUnit\": \"String\",\n  \"observedValue\": \"String\",\n  \"thresholdCrossingDescription\": \"String\",\n  \"thresholdId\": \"String\",\n  \"thresholdRef\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.direction\n\n</td><td>\n\nThreshold crossing direction.Valid values:\n\n-   DOWN\n-   UP\n\nData type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.granularity\n\n</td><td>\n\nGranularity at which the indicator is evaluated for threshold crossing. For example, `5MINUTES`.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.indicatorName\n\n</td><td>\n\nName of the indicator that crosses the alarm threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.indicatorUnit\n\n</td><td>\n\nMeasurement unit of the indicator corresponding to the crossed threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.observedValue\n\n</td><td>\n\nNumber identifying the indicator crossing the threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdCrossingDescription\n\n</td><td>\n\nMore threshold details of the threshold crossing alarm.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdId\n\n</td><td>\n\nRequired.Unique identifier of the threshold that caused the alarm.\n\nData type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdRef\n\n</td><td>\n\nURL of the threshold object.Data type: String\n\n</td></tr><tr><td>\n\nexternalAlarmId\n\n</td><td>\n\nRequired. Unique identifier for the alarm from the source system posting the alarm. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nUnique identifier for the system to identify and process the alarm payload as an event. This value must be empty if used in the payload. The system generates this unique ID for the event and sends it as part of the response payload.\n\n Data type: String\n\n</td></tr><tr><td>\n\nperceivedSeverity\n\n</td><td>\n\nRequired. Alarm severity. Valid values:\n\n-   CLEAR\n-   CRITICAL\n-   MAJOR\n-   MINOR\n-   WARNING\n\nData type: String\n\n</td></tr><tr><td>\n\nplannedOutageIndication\n\n</td><td>\n\nIndicates that the managed object for this alarm is in a planned outage state. For example, planned maintenance or out-of-service.Data type: String\n\n</td></tr><tr><td>\n\nprobableCause\n\n</td><td>\n\nRequired. Most likely situation to trigger the alarm. Use with **alarmType** to qualify the alarm.\n\nData type: String\n\n</td></tr><tr><td>\n\nproposedRepairActions\n\n</td><td>\n\nIf available to the system, provides a repair action to resolve the issue that triggers the alarm.Data type: String\n\n</td></tr><tr><td>\n\nserviceAffecting\n\n</td><td>\n\nFlag that indicates whether the alarm affects service.Valid values:\n\n-   true: Alarm affects service performance or availability.\n-   false: Alarm doesn't affect service.\n\nDefault: false\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nsourceSystemId\n\n</td><td>\n\nRequired. Instance ID of the source alarm. Data type: String\n\n</td></tr><tr><td>\n\nspecificProblem\n\n</td><td id=\"alm-mgmt-specificProb-entry\">\n\nSpecific problem that triggers the alarm. Use with the **probableCause** tparameter o qualify the alarm.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nAlarm state.Valid values:\n\n-   Error\n-   Ignored\n-   Ready\n-   Processed\n\nIf an invalid value is provided, the state is set to `Ready`.\n\nIf the state is `Ready`, an alert is created in the Alert \\[em\\_alert\\] table and the state then becomes `Processed`.\n\nIf the state is `Processed`, `Ignored`, or `Error` no alert is created.\n\nDefault value: Ready\n\nData type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_bly_lyb_ynb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n201\n\n</td><td>\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad request.Possible reasons:\n\n-   Invalid payload. Missing required alarm ID.\n-   Invalid payload. Required field missing:&lt;field name&gt;.\n-   Invalid payload. Missing required object.\n-   Event not created, failed.\n-   Unable to clear event.\n-   Unable to update event.\n-   The event doesn’t exist.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naffectedService\n\n</td><td id=\"d4318e76\">\n\nList of one or more services affected by the alarm.Data type: Array of Objects\n\n```\n\"affectedService\":[\n  {\n    \"href\": \"String\",\n    \"id\": \"String\"\n  },\n]\n```\n\n</td></tr><tr><td>\n\naffectedService.href\n\n</td><td id=\"d4318e89\">\n\nURL reference that provides details of the affected service.Data type: String\n\n</td></tr><tr><td>\n\naffectedService.id\n\n</td><td>\n\nIdentifier of the service affected by the alarm. This value maps to the affected configuration item \\(CI\\) on the alert. Data type: String\n\n</td></tr><tr><td>\n\nalarmDetails\n\n</td><td>\n\nAdditional details about the alarm.Data type: String\n\n</td></tr><tr><td>\n\nalarmedObject\n\n</td><td>\n\nDetails of the alarm object. ```\n\"alarmedObject\":\n{\n  \"href\": \"String\",\n  \"id\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nalarmedObject.id\n\n</td><td>\n\nUnique identifier of the alarm object. This value maps to a CI in the system. Data type: String\n\n</td></tr><tr><td>\n\nalarmedObject.href\n\n</td><td id=\"d4318e404\">\n\nURL reference to get the details of the alarm object.\n\nData type: String\n\n</td></tr><tr><td>\n\nalarmedObjectType\n\n</td><td>\n\nType or class of object associated with the event.Data type: String\n\n</td></tr><tr><td>\n\nalarmRaisedTime\n\n</td><td>\n\nDate and time at which the alarm occurs at its source.Data type: String\n\n</td></tr><tr><td>\n\nalarmReportingTime\n\n</td><td>\n\nDate and time at which the OSS reports its alarm.This value might differ from the **alarmRaisedTime** value. For example, if an element management system \\(EMS\\) maintains the alarm list:\n\n-   The **alarmRaisedTime** is the time of alarm detection by the network element \\(NE\\).\n-   The **alarmReportingTime** is the alarm report time of storage in the EMS alarm list.\n\nData type: String\n\n</td></tr><tr><td>\n\nalarmType\n\n</td><td>\n\nAlarm category. Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation\n\n</td><td>\n\nDetails about the crossed threshold.Data type: Object\n\n```\n\"crossedThresholdInformation\":\n{\n  \"direction\": \"String\",\n  \"granularity\": \"String\",\n  \"indicatorName\": \"String\",\n  \"indicatorUnit\": \"String\",\n  \"observedValue\": \"String\",\n  \"thresholdCrossingDescription\": \"String\",\n  \"thresholdId\": \"String\",\n  \"thresholdRef\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.direction\n\n</td><td>\n\nThreshold crossing direction.Valid values:\n\n-   DOWN\n-   UP\n\nData type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.granularity\n\n</td><td>\n\nGranularity at which the indicator is evaluated for threshold crossing. For example, `5MINUTES`.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.indicatorName\n\n</td><td>\n\nName of the indicator that crosses the alarm threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.indicatorUnit\n\n</td><td>\n\nMeasurement unit of the indicator corresponding to the crossed threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.observedValue\n\n</td><td>\n\nNumber identifying the indicator crossing the threshold.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdCrossingDescription\n\n</td><td>\n\nMore threshold details of the threshold crossing alarm.Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdId\n\n</td><td>\n\nUnique identifier of the threshold that caused the alarm. Data type: String\n\n</td></tr><tr><td>\n\ncrossedThresholdInformation.thresholdRef\n\n</td><td>\n\nURL of the threshold object.Data type: String\n\n</td></tr><tr><td>\n\nexternalAlarmId\n\n</td><td>\n\nUnique identifier for the alarm from the source system posting the alarm. Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nURL of the resource.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nUnique identifier for the system to identify and process the alarm payload as an event. Data type: String\n\n</td></tr><tr><td>\n\nperceivedSeverity\n\n</td><td>\n\nAlarm severity. Valid values:\n\n-   CLEAR\n-   CRITICAL\n-   MAJOR\n-   MINOR\n-   WARNING\n\n Data type: String\n\n</td></tr><tr><td>\n\nplannedOutageIndication\n\n</td><td>\n\nIndicates that the managed object for this alarm is in a planned outage state. For example, planned maintenance or out-of-service.Data type: String\n\n</td></tr><tr><td>\n\nprobableCause\n\n</td><td>\n\nMost likely situation to trigger the alarm. Use with **alarmType** to qualify the alarm. Data type: String\n\n</td></tr><tr><td>\n\nproposedRepairActions\n\n</td><td>\n\nIf available to the system, provides a repair action to resolve the issue that triggers the alarm.Data type: String\n\n</td></tr><tr><td>\n\nserviceAffecting\n\n</td><td>\n\nFlag that indicates whether the alarm affects service.Valid values:\n\n-   true: Alarm affects service performance or availability.\n-   false: Alarm doesn't affect service.\n\nDefault: false\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nsourceSystemId\n\n</td><td>\n\nInstance ID of the source alarm. Data type: String\n\n</td></tr><tr><td>\n\nspecificProblem\n\n</td><td id=\"d4318e342\">\n\nSpecific problem that triggers the alarm. Use with the **probableCause** tparameter o qualify the alarm.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nAlarm state.Valid values:\n\n-   Error\n-   Ignored\n-   Ready\n-   Processed\n\nIf an invalid value is provided, the state is set to `Ready`.\n\nIf the state is `Ready`, an alert is created in the Alert \\[em\\_alert\\] table and the state then becomes `Processed`.\n\nIf the state is `Processed`, `Ignored`, or `Error` no alert is created.\n\nDefault value: Ready\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example creates an alarm.\n\n```\ncurl \"https://<instance>.service-now.com/api/sn_ind_tmf642/alarm_mgmt/alarm\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n     \"href\":\"http://api/alarm/ROUTER_IF@Cisco-0000-0-0-0-0-00-00-0-- Xz0/00@00\",\n     \"externalAlarmId\":\"<external-alarm-id>\",\n     \"alarmType\":\"QualityOfServiceAlarm\",\n     \"type\":\"QualityOfServiceAlarm\",\n     \"ackState\":\"acknowledged\",\n     \"perceivedSeverity\":\"CRITICAL\",\n     \"probableCause\":\"Threshold crossed\",\n     \"specificProblem\":\"Inbound Traffic threshold crossed\",\n     \"alarmedObjectType\":\"ROUTER\",\n     \"alarmedObject\":{\n        \"id\":\"vManage_000000\",\n        \"href\":\" http://api/alarmedobject/000000\"\n     },\n     \"sourceSystemId\":\"SOURCE_SYSTEM_vManage_00000_000_00\",\n     \"alarmDetails\":\"Software Failure on SD-WAN Controller vManage_000000\",\n     \"state\":\"RAISED\",\n     \"alarmChangedTime\":\"2017-08-15T07:04:15.666Z\",\n     \"proposedRepairActions\":\"Switch in standby equipment\",\n     \"alarmReportingTime\":\"2017-06-15T07:04:15.666Z\",\n     \"alarmRaisedTime\":\"2020-09-15T07:04:15.666Z\",\n     \"plannedOutageIndication\":\"IN_SERVICE\",\n     \"serviceAffecting\":true,\n     \"affectedService\":[\n        {\n           \"id\":\"SD WAN Enterprise Solutions\",\n           \"href\":\"http://api/service/vlan_dot0_dot0\"\n        },\n        {\n           \"id\":\"Santa Clara SD WAN Application Service\",\n           \"href\":\"http://api/service/vlan_dot0_dot0\"\n        }\n     ] \n }\" \\\n--user 'user':'password'\n```\n\nResponse body.\n\n```\n{\n     \"href\":\"http://api/alarm/ROUTER_IF@Cisco-0000-0-0-0-0-00-00-0-- Xz0/00@00\",\n     \"externalAlarmId\":\"<external-alarm-id>\",\n     \"alarmType\":\"QualityOfServiceAlarm\",\n     \"type\":\"QualityOfServiceAlarm\",\n     \"ackState\":\"acknowledged\",\n     \"perceivedSeverity\":\"CRITICAL\",\n     \"probableCause\":\"Threshold crossed\",\n     \"specificProblem\":\"Inbound Traffic threshold crossed\",\n     \"alarmedObjectType\":\"ROUTER\",\n     \"alarmedObject\":{\n        \"id\":\"vManage_000000\",\n        \"href\":\" http://api/alarmedobject/000000\"\n     },\n     \"sourceSystemId\":\"SOURCE_SYSTEM_vManage_00000_000_00\",\n     \"alarmDetails\":\"Software Failure on SD-WAN Controller vManage_000000\",\n     \"state\":\"RAISED\",\n     \"alarmChangedTime\":\"2017-08-15T07:04:15.666Z\",\n     \"proposedRepairActions\":\"Switch in standby equipment\",\n     \"alarmReportingTime\":\"2017-06-15T07:04:15.666Z\",\n     \"alarmRaisedTime\":\"2020-09-15T07:04:15.666Z\",\n     \"plannedOutageIndication\":\"IN_SERVICE\",\n     \"serviceAffecting\":true,\n     \"affectedService\":[\n        {\n           \"id\":\"SD WAN Enterprise Solutions\",\n           \"href\":\"http://api/service/vlan_dot0_dot0\"\n        },\n        {\n           \"id\":\"Santa Clara SD WAN Application Service\",\n           \"href\":\"http://api/service/vlan_dot0_dot0\"\n        }\n     ] \n }\n```\n\n## Alarm Management Open API – POST /sn\\_ind\\_tmf642/alarm\\_mgmt/alarm/\\{id\\}/clear\n\nClears a specified alarm and closes any associated alert.\n\n### URL format\n\nDefault URL: `/api/sn_ind_tmf642/alarm_mgmt/alarm/{id}/clear`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nUnique identifier of the alarm to clear.Data type: String\n\nTable: In the Message key field of the Events \\[em\\_events\\] table.\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nalarmClearedTime\n\n</td><td>\n\nDate and time at which the alarm clears at the source.Data type: String\n\nTable: In the Time of event field of the Events \\[em\\_events\\] table.\n\n</td></tr><tr><td>\n\nclearSystemId\n\n</td><td>\n\nRequired. Name of the instance from which the **alarmCleared** operation was invoked. Data type: String\n\n</td></tr><tr><td>\n\nclearUserId\n\n</td><td>\n\nRequired. Unique ID of the user who invoked the **alarmCleared** operation. Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n201\n\n</td><td>\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad request.Possible reasons:\n\n-   Invalid payload. Missing required alarm ID.\n-   Invalid payload. Required field missing:&lt;field name&gt;.\n-   Invalid payload. Missing required object.\n-   Event not created, failed.\n-   Unable to clear event.\n-   Unable to update event.\n-   The event doesn’t exist.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nalarmClearedTime\n\n</td><td>\n\nDate and time at which the alarm clears at the source.Data type: String\n\nTable: In the Time of event field of the Events \\[em\\_events\\] table.\n\n</td></tr><tr><td>\n\nclearSystemId\n\n</td><td>\n\nName of the instance from which the **alarmCleared** operation was invoked. Data type: String\n\n</td></tr><tr><td>\n\nclearUserId\n\n</td><td>\n\nUnique ID of the user who invoked the **alarmCleared** operation. Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nURL of the alarm.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nUnique ID.Data type: String\n\nTable: In the Message key field of the record in the Events \\[em\\_events\\] table.\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example clears an alarm.\n\n```\ncurl \"https://<instance>.service-now.com/api/sn_ind_tmf642/alarm_mgmt/alarm/6e116bb8db09201087b9a8394b961950_<external-alarm-id>/clear\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n  \\\"alarmClearedTime\\\": \\\"2017-08-15 06:04:15\\\",\n  \\\"clearSystemId\\\": \\\"<source_instance_name>\\\",\n  \\\"clearUserId\\\": \\\"SOURCE_SYSTEM_vManage_00000_000_00\\\" \n}\" \\\n--user 'user':'password'\n```\n\nResponse body.\n\n```\n{\n  \"result\": {\n    \"alarmClearedTime\": \"2017-08-15 06:04:15\",\n    \"clearSystemId\": \"<source_instance_name>\",\n    \"clearUserId\": \"SOURCE_SYSTEM_vManage_00000_000_00\",\n    \"id\": \"6e116bb8db09201087b9a8394b961950_<external-alarm-id>\"\n  }\n}\n```\n\n"}}